Sisimai::Reason::SyntaxError(3pm)

NAME
Sisimai::Reason::SyntaxError - Bounce reason is "syntaxerror" or not.

SYNOPSIS
    use Sisimai::Reason::SyntaxError;
    print Sisimai::Reason::SyntaxError->text;   # syntaxerror

DESCRIPTION
"Sisimai::Reason::SyntaxError" checks the bounce reason is "syntaxerror" or not. This class is called only "Sisimai::Reason" class.

This is the error that the destination mail server could not recognize the SMTP command which is sent from the sender's MTA. Sisimai will set "syntaxerror" to the reason if the value of "replycode" begins with 50 such as 502, or 503.

    Action: failed
    Status: 5.5.0
    Diagnostic-Code: SMTP; 503 Improper sequence of commands

CLASS METHODS

  "text()"
text() method returns the fixed string "syntaxerror".

    print Sisimai::Reason::SyntaxError->text;  # syntaxerror

  "match(string)"
match() method always return 0

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "syntaxerror". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2016,2018,2020,2021,2024-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.